Page MenuHomePhabricator

Additional transwiki import sources on Incubator
Closed, ResolvedPublic

Description

Please add these wikis to the import sources for incubatorwiki:

  • dewiki
  • frwiki
  • eswiki
  • ptwiki
  • nlwiki
  • ruwiki
  • enwiktionary
  • enwikibooks

This was proposed on http://incubator.wikimedia.org/wiki/Incubator:Community_Portal#New_import_sources and there was no opposition.


Version: unspecified
Severity: enhancement

Details

Reference
bz20973

Related Objects

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:46 PM
bzimport set Reference to bz20973.

Now w:de, w:fr, w:es, w:pt, w:nl, w:ru, wikt:en and b:en also occur in the drop-down list on Special:Import, however when trying to import "Import failed: Could not open import file" occurs. Maybe de, fr, es, pt, nl, ru, wikt and b would be sufficient as interwiki sources as they also work in normal pages, e.g. http://incubator.wikimedia.org/wiki/fr:Accueil .

RobH added a comment.Nov 12 2009, 8:01 PM

Those sources are all listed. Does the error still occur today? (I cleared out and rebuilt interwiki earlier today so it may have resolved this issue.)

I am going to be optimistic and hope it works, if not, please do not hesitate to reopen the bug. =]

Well, from Wikibooks and Wiktionary it works now, however not from the Wikipedias (except en:).

RobH added a comment.Jan 13 2010, 4:11 PM

I can see what you mean, attempting to import from a source like w:fr results in an import failed, even though it is listed in the drop down and in the configuration file. I am not sure why this is, so I am going to email some of the other techs about it and get back to you.

Any news about this?

As Incubator is listed as Wikipedia, maybe use instead of "w:fr" simply "fr"?

This bug is closely related to bug 15000.

I don't think so, as the problems there seem to be with importing from a page with a "single" prefix (like from Meta, as described there), whereas our problem seem to be the double prefixes (like w:fr instead of fr: etc.).

Reedy added a comment.Sep 7 2011, 3:08 PM

(In reply to comment #6)

As Incubator is listed as Wikipedia, maybe use instead of "w:fr" simply "fr"?

Is this still an issue?

It is, now however with the error message "Import failed: Expected <mediawiki> tag, got " (I just tested)

MF-Warburg, do we actually need it when we can do the XML file transfer from any wiki?

Obviously not since this request has been pending for about 2 years now with not too many import requests being made (I proposed these additional sources when there was temporarily a height in requests from that wikis). So we might as well close the bug; but I guess finding out what the bug/problem here is couldn't harm either.